Issue 8275 - more border types (dashed, dotted, etc)
Summary: more border types (dashed, dotted, etc)
Status: CONFIRMED
Alias: None
Product: Draw
Classification: Application
Component: formatting (show other issues)
Version: OOo 1.0.0
Hardware: All All
: P3 Trivial with 184 votes (vote)
Target Milestone: AOO Later
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: ms_interoperability, oooqa, rfe_eval_ok
: 9812 12049 16490 17393 18292 21378 27104 27647 27903 28367 28938 28973 30847 34108 48746 49517 82493 94301 108121 (view as issue list)
Depends on:
Blocks:
 
Reported: 2002-10-12 15:10 UTC by lars
Modified: 2013-04-19 17:15 UTC (History)
32 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description lars 2002-10-12 15:10:11 UTC
mehr Rahmen Arten predefined please; eg top,botom,right ("]") border type

!!!


or let the user customize border types which are saved as predefined ones


Yes! this is even better; then he can also customize style and have them chosen 
via the normal border icon!!
Comment 1 oc 2003-08-08 12:01:44 UTC
Hi Bettina, one4you
Comment 2 oc 2003-08-08 12:02:24 UTC
*** Issue 8396 has been marked as a duplicate of this issue. ***
Comment 3 oc 2003-08-08 12:18:02 UTC
*** Issue 16490 has been marked as a duplicate of this issue. ***
Comment 4 oc 2003-08-08 12:19:10 UTC
*** Issue 9812 has been marked as a duplicate of this issue. ***
Comment 5 oc 2003-08-08 12:20:53 UTC
*** Issue 15311 has been marked as a duplicate of this issue. ***
Comment 6 oc 2003-08-08 12:23:30 UTC
*** Issue 17393 has been marked as a duplicate of this issue. ***
Comment 7 valou 2003-08-08 17:06:19 UTC
It is possible in MS-Office (Excel, Word...) to format borders (table,
paragraph
etc) as dotted lines.
We should have this feature too.
Comment 8 lars 2003-08-08 22:11:37 UTC
Hi!

I just noticed the many ! in my first description: they may appear more demanding than
they were and are meant! Hmm, just like these...

Lars
Comment 9 tkreft 2003-08-11 12:29:03 UTC
Just read that my issue (15311) is a duplicate of this one. Here's my
point again in hopes of making it clearer.

---
It is impossible to distinguish the hairline border (0,05 pt) from
the 1 pt border in normal view (100% zoom). Only in zoom factors above
150% you can tell them apart. 

How about displaying the hairline border in "dotted lines", just like,
erm, MS Excel does it?
---
Comment 10 oc 2003-08-20 07:57:35 UTC
*** Issue 18292 has been marked as a duplicate of this issue. ***
Comment 11 frank 2003-10-20 10:36:15 UTC
*** Issue 21378 has been marked as a duplicate of this issue. ***
Comment 12 bettina.haberer 2003-11-25 14:21:13 UTC
Summary: More border styles - predefined or customizable.
Comment 13 frank 2004-03-30 09:24:26 UTC
*** Issue 27104 has been marked as a duplicate of this issue. ***
Comment 14 michael.ruess 2004-04-26 15:54:11 UTC
*** Issue 28367 has been marked as a duplicate of this issue. ***
Comment 15 oc 2004-05-27 15:33:35 UTC
*** Issue 28938 has been marked as a duplicate of this issue. ***
Comment 16 utomo99 2004-05-28 03:58:00 UTC
Hi Bettina, 

This Issue marked as started, please check, or reassign to the developer. 
I think It is good improvements since many people requesting this. Thanks 

Screenshot of the Excel and Calc border :
http://www.openoffice.org/nonav/issues/showattachment.cgi/15086/excel.gif
http://www.openoffice.org/nonav/issues/showattachment.cgi/15087/calc%
20border.gif
Comment 17 lohmaier 2004-06-29 21:18:39 UTC
*** Issue 30847 has been marked as a duplicate of this issue. ***
Comment 18 lohmaier 2004-06-29 21:19:39 UTC
*** Issue 27647 has been marked as a duplicate of this issue. ***
Comment 19 kyoshida 2004-06-30 03:03:22 UTC
I've just been notified that Issue 30847 is a duplicate of this issue.  My 
question is: 
 
I've read all the messages posted in this issue, but it is not clear to me 
whether this issue really covers some missing line types, especially dotted 
and dashed lines, as available table border types. 
 
The absense of dotted/dashed lines affect compatibility with MS Word and 
Excel, which both have these line types avaiable as table borders.  As of the 
current version of OO.o, dotted/dashed lines are mapped to solid lines. 
 
The addition of such line types will immensely improve the compatibility with 
MS Word/Excel. 
 
Kohei 
Comment 20 kyoshida 2004-06-30 03:11:57 UTC
Also note that my above comment applies to both Writer and Calc.  I see that 
this issue itself is filed against the Spreadsheet component, but should also 
be applied to the Word processor component, as well. 
 
If a separate issue should be filed for Writer, I'll be glad to file it.  
Please let me know if a separate filing is necessary. 
 
Kohei 
Comment 21 lohmaier 2004-09-14 21:42:09 UTC
"hairline border" is always as small as the output device can display (on screen
-> one pixel) displaying it as dotted would not be WYSIWYG, since you get a
solid one when printing. There are no plans changing this. - Hope this explaines it.

I don't reassign to framework or another component since this would clear the
votes (you'd all have to vote again).

keywords set according to new RFE process, reassigning, enhancing summary.
Comment 22 lohmaier 2004-09-14 21:42:40 UTC
*** Issue 34108 has been marked as a duplicate of this issue. ***
Comment 23 gbpa005 2004-09-15 08:14:39 UTC
But what about additional border thickness, f.e. 0.5 and .75. In press, 0.05
often gets invisible. 
Comment 24 tkreft 2004-09-15 21:19:39 UTC
cloph, regarding screen display of "hairline" borders:
I understand it's not WYSIWYG if the hairline border ist displayed as dotted on
screen. But what's the point if you can't tell a hairline border and a normal
1pt border apart? (Well, unless you have a very big screen resolution or work
with 200% zoom - both verly unlikely for most users.) So the obvious difference
between these two border types IMHO has to be made *visible* on screen. Am I
alone with this? I'll discuss this on the german user ML.
Comment 25 watersrw 2004-10-07 12:07:41 UTC
this should really be done for ooo 2.0 - it is a major ms incompatability issue
Comment 26 stp 2005-04-22 20:53:49 UTC
*** Issue 28973 has been marked as a duplicate of this issue. ***
Comment 27 oc 2005-05-09 14:35:26 UTC
*** Issue 48746 has been marked as a duplicate of this issue. ***
Comment 28 Oliver Specht 2005-05-23 06:13:57 UTC
*** Issue 27903 has been marked as a duplicate of this issue. ***
Comment 29 frank 2005-06-13 14:56:10 UTC
*** Issue 49517 has been marked as a duplicate of this issue. ***
Comment 30 pocha 2005-12-27 08:01:25 UTC
This still happen in OOo 2.0.1 which assume to interoperate better with MS Office.
The bug occurs in both Writer and Calc. 
Please change the "Issue Type". It is a defect not an enhancement.
It prevents proper conversion from MS Office files, loosing an important
formatting information.

I would also like to see "Target Milestone" set to something tangible.
Comment 31 hwoarang 2006-11-27 19:32:01 UTC
*** Issue 12049 has been marked as a duplicate of this issue. ***
Comment 32 monsterslayer 2006-11-28 16:07:19 UTC
The original reporter asked for a feature, now we are discussing a very
different real bug. I will not plough through the duplicate entries to look for
lost information but the development that this issue took is a little peculiar.
BTW: other OpenDocument-capable software is displaying borders correctly, even
if OO had been used to create it.

This is not an enhancement issue anymore. Please, folks, call it a bug, now.
Comment 33 textexpanser 2006-12-11 23:26:02 UTC
Not only the dotted lines are necessary.

The line widths 1.5pt and 2.0pt are needed also!
And wave-line...

So, the possibility to customize lines is the better solution, but the faster
solution is to add the such lines as dots and 1.5/2 pt widths manually.
Comment 34 kami911 2007-06-20 07:33:46 UTC
I have checked the OpenDocument specification. It seems it does not support
other thing than no line, line, double line.

(http://www.oasis-open.org/committees/download.php/12572/OpenDocument-v1.0-os.pdf)

OpenDocument-v1.0-os.sxw 1 May 2005
Copyright © OASIS Open 2002 - 2005. All Rights Reserved. Page 587 of 706

15.5.26 Border Line Width
If the line style for a border is double, use the border line properties
style:border-linewidth,
style:border-line-width-top, style:border-line-width-bottom,
style:border-line-width-left and style:border-line-width-right to individually
specify the width of the inner and outer lines and the distance between them.
The style:border-line-width specifies the line widths of all four sides, while
the other
attributes specify the line widths of one side only.
The value of the attributes can be a list of three space-separated lengths, as
follows:
• The first value specifies the width of the inner line
• The second value specified the distance between the two lines
• The third value specifies the width of the outer line
The result of specifying a border line width without specifying a border width
style of double for
the same border is undefined.
<define name="style-paragraph-properties-attlist" combine="interleave">
<ref name="common-border-line-width-attlist"/>
</define>
<define name="common-border-line-width-attlist">
<optional>
<attribute name="style:border-line-width">
<ref name="borderWidths"/>
</attribute>
</optional>
<optional>
<attribute name="style:border-line-width-top">
<ref name="borderWidths"/>
</attribute>
</optional>
<optional>
<attribute name="style:border-line-width-bottom">
<ref name="borderWidths"/>
</attribute>
</optional>
<optional>
<attribute name="style:border-line-width-left">
<ref name="borderWidths"/>
</attribute>
</optional>
<optional>
<attribute name="style:border-line-width-right">
<ref name="borderWidths"/>
</attribute>
</optional>
</define>
<define name="borderWidths">
<list>
<ref name="positiveLength"/>
<ref name="positiveLength"/>
<ref name="positiveLength"/>
</list>
</define>

Can someone confirm it?
Comment 35 kami911 2007-06-20 07:59:35 UTC
Hi mba!
Do you have an idea about this issue?
Thanks,
KAMI
Comment 36 hagar_de_lest 2007-08-16 20:20:24 UTC
Component of this report is "Spreadsheet". However, some duplicates (Issue
28367) are related to Writer. Is it a global issue ? If so, could the component
be updated ?

Issue 932 seems also to be a duplicate. May be interesting for Kami (see last
posts).
Comment 37 Mathias_Bauer 2007-08-17 09:28:12 UTC
Borders are most often handled by the drawing layer but also by some other
components (e.g. tables in Writer). So you will not find a component that fits
for all issues. The best fit would be "drawing" as this is the project where
most of the implementation will take part. I take the liberty to change the
issue accordingly.
Comment 38 Mathias_Bauer 2007-08-17 09:31:25 UTC
Damned, I forgot that this kills the votes. :-(
I'm sorry, all users that have voted for this issue: please vote again.

Now I'm gonna write 1000 times "you shall not change the component of an issue
that has a lot of votes".

For the records: when I changed the component, this issue had roughly 50 votes
(IIRC).
Comment 39 monsterslayer 2007-08-17 09:54:03 UTC
Isn't there a sort of an administrator who could simply restore those 50 votes?
On the other hand, personally, I do not believe in the power of the vote to get
an issue resolved. Its like the magic of a funny tire-pattern would protect you
from Aquaplaning.
Comment 40 lohmaier 2007-08-20 10:50:46 UTC
..and all because people don't read all the comments added to an issue ;-)
(see comment #22)

automatically moving votes is not possible, since the number of votes per issue
and per component is limited, so this would create all kinds of conflicts..
Comment 41 frank 2007-10-11 08:50:26 UTC
*** Issue 82493 has been marked as a duplicate of this issue. ***
Comment 42 cno 2008-01-24 08:31:12 UTC
Issue #77347 deals (among others) with line styles.
Latest comment there (from va Tue Jan 22 10:09:36 +0000 2008)
  VA: Set target to OOo 3.x. We create child tasks for the different palettes with 
  appropriate targets, e.g. a new Color Palette is planned for 3.0.
Comment 43 khirano 2008-09-26 07:58:57 UTC
*** Issue 94301 has been marked as a duplicate of this issue. ***
Comment 44 khirano 2008-09-26 10:26:12 UTC
Is this issue related or dup of Issue 5929 "Make all line styles available
everywhere in OO.o" ?
Comment 45 rollom 2008-10-03 09:53:04 UTC
Looks like everybody is talking about this issue, but nothing is done. I just
noticed that I'm unable to use dotted lines in Writer for a table. And this is
annoying, as I'd like to have way to just give a slight hint at the cell
borders, but not have them fully drawn.

Furthermore this is an obvious incompatibility with MS Office.
Comment 46 root101jp 2008-11-01 14:12:49 UTC
The dot-line function is mandatory function for Japanese customer who use
MS-Office. Many customer who want to use Oo wait for this function.
I suppose Oo3.0 would support this function but it has not been resolved.
I hope this bug8275 priority rise up and this improvement makes big impact 
Japanese customer. 
Comment 47 joeee 2009-06-04 17:58:47 UTC
Just my two cents:

This feature is really an essential one for all linguists working with "Optimality Theory" (phonology).
Working with this theoretical framework you need to draw tables with solid and dashed lines between 
the columns. Dashed lines really have a meaning here: two columns with a dashed line inbetween mean 
that they are ranked equally.

I'm really working on convincing as many people as possible to use OOo here at the university 
department. But such basic missing features are a huge drawback. I'm not a programmer but as far as I 
can see every other Word Processor available has the possibility to draw dashed (or at least dotted) lines 
in tables. OOo can only draw solid ones.

I really looked all the related issues (21378, 12949, 30847, 5929, 62003 and many other duplicates) 
for a long time and thought that if so many people have the same issue since 2002 developers will 
some day include this. 

But this was in OOo 1.0! We are now at OOo 3.1 and 7 years later!

Why is this feature so complicated to achive?
Comment 48 chhe 2009-06-30 01:58:59 UTC
Its extremely frustrating that you can't add dashed borders to cells in Calc. I
used borders all the time before switching from windows to linux for many
different reasons. Its definately a major flaw in calc that it doesn't have this
and makes Calc inferior to excel in my opinion. It needs to definately be fixed.
I'd rather have this simple function than any other feature.
Comment 49 cno 2009-09-16 18:46:23 UTC
related to both issue 5929 and issue 47120
Comment 50 Raphael Bircher 2010-01-15 09:45:06 UTC
*** Issue 108121 has been marked as a duplicate of this issue. ***
Comment 51 q0k 2010-01-19 10:56:34 UTC
This issue has been opened in 2002, contains a request to introduce dotted,
dashed, and wave lines. When?
Comment 52 joeee 2010-01-19 12:24:01 UTC
It seems that OOo-developers do not want to include dotted and dashed lines in tables. If it is really the 
case that this is missing in the ODF-specification (I don't know), then this should be changed NOW!
We all have waited enough.
The missing of this feature makes it impossible for many users to use OpenOffice.org, see my comment 
from Thu Jun 4 16:58:47 +0000 2009.
In some cases loosing dashed lines when sending a .doc to a MicrosoftOffice-User means loosing 
information. This is crucial when you communicate with editors, for example. And no, drawing lines on 
top of a table does not solve the issue, those lines are misplaced most of the times when you open the 
.doc in Word.
This problem is simply ignored by the developers. I don't know why. There's not even an official 
statement on this. And there seems to be no other way to communicate this than in this tracker. 
However we don't get answers here, too.
Comment 53 cno 2010-01-19 12:52:16 UTC
Hi joeee.
"This problem is simply ignored by the developers. I don't know why. There's not
even an official statement on this."
Developers never ignore problems (unles by accident of course). Simply too much
work, too many wishes, for too little people. What also plays a role for quite
some issues, is that some core code for certain modules is being rewritten. Has
a big advantange for the future, but also means that other issues depending on
that work being finished, have to wait in any case.
There have been (official) statements about this situation in quite some issues
and quite some mail threads. But it makes little sense to check all open issues
to see if such a statement should be added ;-)
BTW: I would not be surprised if there is some general explanation on the
qa.openoffice.org start page.

OK, this does not make that this issue will be solved faster, sorry.

Sometimes users/community memebrs are in the position that they have good
contacts with a firm or a independent developer. That could lead to an action to
submit a patch ..
 
Comment 54 kpalagin 2010-01-24 17:24:06 UTC
Am I correct in my understanding of  
"------- Additional comments from kami_ Wed Jun 20 06:33:46 +0000 2007 -------

I have checked the OpenDocument specification. It seems it does not support
other thing than no line, line, double line.

(http://www.oasis-open.org/committees/download.php/12572/OpenDocument-v1.0-os.pdf)" 
that we need to include desired line styles in ODF first and only then ask OO
developers to support this feature of the standard. To add more line styles to
ODF you need to follow guidance the
http://www.openoffice.org/servlets/ReadMsg?listName=dev&msgNo=25143. As a first
step the list of desired line styles should be compiled.
Comment 55 q0k 2010-01-31 23:44:44 UTC
Is this a duplicate of Issue 5929 ?
Comment 57 jacek7000 2010-02-24 06:45:31 UTC
Absence of dotted/dashed border line style im calc harms compatibility with xls. 
The display of an xls spreadsheet, originally formatted with both solid and
dotted/dashed cell borders, looks quite differently in Calc  - the visible
difference between various border styles in various cells may practically
disappear. The visible difference is just striking.
Comment 58 troodon 2010-02-26 22:39:05 UTC
See http://cedric.bosdonnat.free.fr/wordpress/?p=545 and
http://cedric.bosdonnat.free.fr/wordpress/?p=568 for some news on this topic.
Comment 59 lib1410 2010-03-17 11:09:15 UTC
Please I need this feature !
Comment 60 melfraz 2010-09-15 23:00:22 UTC
I recently switched from ms word to OOo, but as an OT phonologist, the lack of
dashed lines in tables makes this program impractical and essentially unusable.
 I will have to decide now if I'm going to switch back, which would be shame
giving how many other features I really like!  Like joeee, I would love to sell
my colleagues on the benefits of OOo, but that's not going to happen without
dashed lines in tables.
Comment 61 tommy27 2011-01-16 08:28:43 UTC
this enhancement would be much appreciated.
Comment 62 Peter Lairo 2011-03-23 10:27:43 UTC
How can a bug with 167 votes be only a "P3" priority. Isn't "P3" merely an average priority (scale is from P1 to P5)? Shouldn't the enormous number of votes bump the priority up by one - to "P2"?

If the Open Document Format (ODF) needs to be fixed to include dashed lines, then a bug needs to be created for that here (to track the progress at ODF), made a high priority, and then this bug made dependent on it.
Comment 63 Ed Downham 2013-01-07 17:33:06 UTC
Can I add my plea for this feature to be added? Many people use dotted lines when printing parts of a spreadsheet as they are easier on the eye than solid ones. The 0.05pt line is not a great stand-in as it seems to depend a lot on the dpi of the printer (certainly my printers) and varies from ugly to invisible...

Excel has had this feature, probably since v1.0 - I've just taken my OO doc to someone else's PC so I can edit it in MS Office, oh the shame! ;)
Comment 64 joeee 2013-01-07 17:48:59 UTC
Ok. My last comment here. I switch to LibreOffice. Why?

LibreOffice has implemented exactly the missing feature described in this thread from its very first release. Obviously it was no so complicated to implement as always stated in this thread here. And as far as I know LibreOffice complies to the OpenDocument-standard as well.

Hope AOO will have this feature at sometime. Until then it's not usable for my needs.
Comment 65 Christopher Jay Manders 2013-04-19 17:15:42 UTC
It sure would be nice to have more border styles to choose from...or extensions that could add some more fancy/decorative ones.